Bug 1257967 - [RFE] Allow users to import selected public Amazon AMIs
[RFE] Allow users to import selected public Amazon AMIs
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: cfme-future
Assigned To: Marcel Hild
Nandini Chandra
import:ec2
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 10:06 EDT by Greg Blomquist
Modified: 2017-09-25 18:49 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.7.0.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Blomquist 2015-08-28 10:06:26 EDT
CFME users currently have the choice of importing all or the public AMIs from amazon, or none of the public AMIs.

CFME should allow users to import a select set of public AMIs instead of all of the public AMIs.

The feature will likely be implemented to allow users to specify a list of AMI IDs (e.g., ami-123456).  We can explore glob matching as well (e.g., ami-123*), but I'm less convinced that's as useful, since the IDs are auto-assigned and have no real significance or positional relationships that would make grabbing all IDs around a certain number meaningful.
Comment 2 Greg Blomquist 2016-05-27 19:49:25 EDT
This should not be 5.6.  At best we should change it to 5.6.z.
Comment 7 Bronagh Sorota 2017-08-25 11:57:56 EDT
Marcel
Can this be moved to POST? Or is it waiting on some doc_text?

B
Comment 8 Marcel Hild 2017-08-29 04:26:36 EDT
Indeed, the docs have been added already in https://github.com/ManageIQ/manageiq_docs/pull/199
Comment 10 Marcel Hild 2017-08-30 04:34:14 EDT
Satoe, thats right - this was the only code change.
Comment 12 Nandini Chandra 2017-09-25 18:49:11 EDT
Verified in 5.7.4

Note You need to log in before you can comment on or make changes to this bug.